%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        9.6.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        Apache-2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.6.0
#
Patch0001: 0001-Add-more-settings-to-glance-api.patch
Patch0002: 0002-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0003: 0003-Switch-to-Zuul-v3-testing.patch
Patch0004: 0004-Add-swift_store_large_object_chunk_size-parameter.patch
Patch0005: 0005-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Fri Jan 12 2018 shrjoshi <shrjoshi@redhat.com> 9.6.0-3
- Run puppet-openstack-beaker-jobs
- Add swift_store_large_object_chunk_size parameter
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build

* Wed Oct 18 2017 Steve Linabery <slinaber@redhat.com> 9.6.0-2
- Add more settings to glance-api

* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 9.6.0-1
- Update to 9.6.0

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-2
- Update to 9.5.0 (rhbz#1421857)
- Add oslo_messaging_notifications transport_url
- Allow python-memcache install from authtoken class

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Added retries for db_sync (lp#1628580, lp#1645474)

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


